Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357698 - perl-Catalyst-Runtime-5.80033-1.el6.noarch missing dependencies
Summary: perl-Catalyst-Runtime-5.80033-1.el6.noarch missing dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Catalyst-Runtime
Version: el6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 23:38 UTC by David Cook
Modified: 2016-08-31 13:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-31 13:19:46 UTC


Attachments (Terms of Use)

Description David Cook 2016-07-18 23:38:55 UTC
Description of problem:

perl-Catalyst-Runtime-5.80033-1.el6.noarch is missing the following dependencies when installed on RHEL 6.8 with EPEL 6, rhel-6-server-optional-rpms, and rhel-6-server-extras-rpms repositories enabled:

Requires: perl(MooseX::Types::Common::Numeric)
Requires: perl(MooseX::MethodAttributes::Inheritable) >= 0.24
Requires: perl(MooseX::Emulate::Class::Accessor::Fast) >= 0.00903
Requires: perl(MooseX::MethodAttributes)
Requires: perl(HTTP::Request::AsCGI) >= 1.0

How reproducible: always

Steps to Reproduce:
1. yum install perl-Catalyst-Runtime

Actual results:

Requires: perl(MooseX::Types::Common::Numeric)
Requires: perl(MooseX::MethodAttributes::Inheritable) >= 0.24
Requires: perl(MooseX::Emulate::Class::Accessor::Fast) >= 0.00903
Requires: perl(MooseX::MethodAttributes)
Requires: perl(HTTP::Request::AsCGI) >= 1.0

Expected results:

Successful installation.

Additional info:

I'm guessing that these 5 modules might have been orphaned and removed from EPEL 6? 

Locally, I just built RPMs of them using cpanspec, so I worked around this issue, but I thought that I'd report it here. Some of these dependencies have other dependencies which also need to be packaged.

I've reviewed https://fedoraproject.org/wiki/EPEL_Package_Maintainers and I might consider trying to become a package maintainer, although I'm not sure how much I could commit to maintaining these packages for a long period of time.

Comment 1 Petr Pisar 2016-07-19 06:10:26 UTC
Indeed. I took the perl-Catalyst-Runtime because it was orphaned and it would have been retired otherwise. I thought I will receive notifications about missing orphaned dependencies but they seem to slip through the crack.

The missing direct dependencies are:

perl-MooseX-Emulate-Class-Accessor-Fast
perl-MooseX-MethodAttributes
perl-HTTP-Request-AsCGI
perl-MooseX-Types-Common

I will try unretiring them.

Comment 2 Petr Pisar 2016-07-19 06:20:31 UTC
Unblocking requested <https://fedorahosted.org/rel-eng/ticket/6447>.

Comment 3 Fedora Update System 2016-07-20 14:12:54 UTC
perl-HTTP-Request-AsCGI-1.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e9ef72a4b4

Comment 4 Fedora Update System 2016-07-20 14:38:41 UTC
perl-MooseX-Types-Common-0.001002-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fb91323641

Comment 5 Fedora Update System 2016-07-20 14:44:33 UTC
perl-MooseX-MethodAttributes-0.24-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-00e77e737b

Comment 6 Fedora Update System 2016-07-20 14:54:03 UTC
perl-MooseX-Emulate-Class-Accessor-Fast-0.00903-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-059bd4e2c7

Comment 7 Fedora Update System 2016-07-20 18:17:39 UTC
perl-MooseX-Emulate-Class-Accessor-Fast-0.00903-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-059bd4e2c7

Comment 8 Fedora Update System 2016-07-20 18:17:46 UTC
perl-MooseX-MethodAttributes-0.24-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-00e77e737b

Comment 9 Fedora Update System 2016-07-20 18:17:52 UTC
perl-MooseX-Types-Common-0.001002-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fb91323641

Comment 10 Fedora Update System 2016-07-20 18:18:00 UTC
perl-HTTP-Request-AsCGI-1.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e9ef72a4b4

Comment 11 David Cook 2016-07-29 06:41:13 UTC
(In reply to Petr Pisar from comment #1)
> Indeed. I took the perl-Catalyst-Runtime because it was orphaned and it
> would have been retired otherwise. I thought I will receive notifications
> about missing orphaned dependencies but they seem to slip through the crack.
> 
> The missing direct dependencies are:
> 
> perl-MooseX-Emulate-Class-Accessor-Fast
> perl-MooseX-MethodAttributes
> perl-HTTP-Request-AsCGI
> perl-MooseX-Types-Common
> 
> I will try unretiring them.

Cheers, Petr. I just noticed your comment now, although I'd seen the Fedora Update System messages before...

In the end, I rolled my own perl-Catalyst-Runtime, as I needed to use a newer version, but hopefully this report was worthwhile anyway.

Comment 12 Fedora Update System 2016-08-31 13:19:37 UTC
perl-MooseX-Emulate-Class-Accessor-Fast-0.00903-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-08-31 13:19:53 UTC
perl-MooseX-MethodAttributes-0.24-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-08-31 13:20:06 UTC
perl-MooseX-Types-Common-0.001002-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-08-31 13:20:16 UTC
perl-HTTP-Request-AsCGI-1.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.